Type to search.

Delete monitors

Base URL
https://{kibana_url}
  • POST /api/synthetics/monitors/_bulk_delete
  • POST /s/{space_id}/api/synthetics/monitors/_bulk_delete
Auth

Delete multiple monitors by sending a list of config IDs.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Request body

ids string[] required

An array of monitor IDs to delete.

Response

A successful response.

application/json
<array> object[]
deleted boolean

If it is true, the monitor was successfully deleted If it is false, the monitor was not deleted.

ids string

The unique identifier of the deleted monitor.